#!/bin/sh
#remove uninstall-placeholder files.
rm lib/modules/modem-firmware/dgcmodem/etc/modprobe.d/modemx_dgc.conf
rm lib/modules/modem-firmware/dgcmodem/etc/dgcmodem/.serial_configured

#Edit config script to avoid device instances 1-7, avoid setting /dev/modem link.
if [ -f usr/sbin/dgcconfig ];then
 sed -e 's%^#\!/bin/bash$%#\!/bin/bash\n#Adapted by Puppy Linux package firmware_linux_module_dgcmodem.%' \
  -e 's%while \[ $u -lt 8 \]; do%while [ $u -le 0 ]; do%' \
  -e 's%^[\ \	]*echo \"alias /dev/modem%#echo \"alias /dev/modem%' \
  -e 's%-[ef] /etc/modprobe.conf \]%& \&\& false%' \
  -e 's%if \[ -d /etc/udev/rules\.d \]; then%if [ -f /etc/udev/rules.d ]; then%' \
  -e 's%ln -sf /dev/ttyS...0 /dev/modem%/bin/true #&%' \
  -e 's%first=240%first=244%' \
  -e 's%max=249%max=251%' \
  -e 's%\tmajor=\${first}%\t[ "${device}" = "ttySDGC" -o  "${device}" = "cuaDGC" ] \\\n\t\t\&\& echo 0 \\\n\t\t\&\& return 0\n\n&%' \
  -e 's%\tunconfigure_rcscript || exit%#&%' \
  -e 's%\tremove_kernel_modules || exit%#&%' \
  -e 's%rm -f /dev/modem$%/bin/true #&%' \
  -e 's%mv /dev/modem /dev/modem.old$%/bin/true #&%' \
  -e 's%/etc/modprobe.d/dgc%/etc/modprobe.d/modemx_dgc%' \
  -e 's%) > \${outmodprobeconf}$%&.conf%' \
  -e 's%update_modprobeconf \${outmodprobeconf}%&.conf%' \
  -e 's%\${outmodprobeconf}.conflicts%&.conf%' \
  usr/sbin/dgcconfig > usr/sbin/dgcconfig_adapted
 chmod a+x usr/sbin/dgcconfig_adapted
fi

KERNVER="`uname -r`"
[ -f etc/modules/firmware.dep.inst.$KERNVER ] \
 && sed -i -e '/dgcmodem/d' etc/modules/firmware.dep.inst.$KERNVER #Ensure firmware copied next session.

